package com.ruoyi.app.model.request;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

public class SlaughterRelationBatch {

    private String slaughterCode;

    private Long purchaserId;

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    @NotBlank(message = "血码编号不能为空")
    @Pattern(regexp = "^[a-zA-Z0-9]{2,4}$",message = "血码编号格式输入错误")
    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setPurchaserId(Long purchaserId)
    {
        this.purchaserId = purchaserId;
    }

    @NotNull(message = "肉商ID不能为空")
    public Long getPurchaserId()
    {
        return purchaserId;
    }
}
